List admin assistant role permissions
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "admin_assistant_role_permission",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"permission": "edit_profile"
},
"relationships": {
"admin_assistant_role": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "admin_assistant_role",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Admin Assistant Role Permissions
List admin assistant role permissions
Returns a list of admin assistant role permissions
GET
/
api
/
v1
/
admin_assistant_role_permissions
List admin assistant role permissions
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "admin_assistant_role_permission",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"permission": "edit_profile"
},
"relationships": {
"admin_assistant_role": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "admin_assistant_role",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Query Parameters
Comma-separated list of relationships to include. Allowed: admin_assistant_role
Sort order. Prefix with - for descending. Allowed: created_at, updated_at
Filter results. Available filters: created_at, created_at.neq, created_at.lt, created_at.lte, created_at.gt, created_at.gte, updated_at, updated_at.neq, updated_at.lt, updated_at.lte, updated_at.gt, updated_at.gte, admin_assistant_role_id (filter by admin assistant role id), admin_assistant_role.
Number of items per page (max 100)
Cursor for next page
Cursor for previous page
⌘I